ADRIFT Forum


The place to discuss the ADRIFT Interactive Fiction toolkit

shiny-new installation

This forum is the place to learn about and discuss ADRIFT 5. Feel free to mention any bugs you find here, but please also add these to the Bugs & Enhancements list.

Please also refer to the ADRIFT 5 Wiki for more information.

shiny-new installation

Postby kurtworden » Tue Sep 03, 2019 4:26 am

Campbell say's that Adrift now works with all versions of Framework. Does it??

I have a shiny-new installation of Windows 10, pretty much nothing on it yet other than what Windows installed, and when installing the full installer ver5 I get a popup saying, "you need Framework 2.0 SP2." I hate putting things on a new installation that are backwards if I don't have to.

I downloaded the file from the Main Site's Download page. http://www.adrift.co/download ADRIFT5Setup.zip

What's that?

Thank you
kurtworden
 
Posts: 1
Joined: Tue Sep 03, 2019 4:23 am

Re: shiny-new installation

Postby Lazzah » Wed Sep 04, 2019 11:01 am

kurtworden wrote:Campbell say's that Adrift now works with all versions of Framework. Does it??

I have a shiny-new installation of Windows 10, pretty much nothing on it yet other than what Windows installed, and when installing the full installer ver5 I get a popup saying, "you need Framework 2.0 SP2." I hate putting things on a new installation that are backwards if I don't have to.

I downloaded the file from the Main Site's Download page. http://www.adrift.co/download ADRIFT5Setup.zip

What's that?

Thank you

I have just purchased a new tablet running Windows 10 and was able to install ADRIFT 5 on it without any problem. I just opened up File Explorer and did a search for "framework" and the search told me I have "microsoft.net.framework_v4.0 and microsoft.net.framework64_v4.0 installed on it. I am pretty sure that I d/l'd the same ADRIFT5Setup.zip as you.

If you PM me your email address I will send you the zipfile I used. Maybe you will have better luck with that?
WIP: The Lost Labyrinth of Lazaitch

ALSO AVAILABLE: The Axe of Kolt, The Spectre of Castle Coris, The Fortress of Fear, Die Feuerfaust, The Lost Children, Run, Bronwynn, Run, Magnetic Moon, Starship Quest, Revenge of the Space Pirates
User avatar
Lazzah
Moderator
 
Posts: 2252
Joined: Thu Mar 31, 2011 4:54 am
Location: Dagenham, Essex
Points: 60

Re: shiny-new installation

Postby Campbell » Wed Oct 02, 2019 10:39 am

The 2.0 message in the installer is out of date. ADRIFT runs on the 4.0 framework currently.
ADRIFT Developer developer.
User avatar
Campbell
Site Admin
 
Posts: 4656
Joined: Sun Jun 23, 2002 11:05 am
Location: Edinburgh, Scotland

Re: shiny-new installation

Postby Lumin » Sat Oct 12, 2019 12:04 am

Someone else I know was having this problem today, and it really threw them off of getting ADRIFT installed.

It was a Lenova laptop, and I can only assume some computers just don't come with .NET, since I don't remember ever having any issue with this myself the last time I installed ADRIFT on something.
User avatar
Lumin
 
Posts: 2030
Joined: Fri Aug 06, 2004 5:48 pm
Points: 34


Return to ADRIFT 5.0

Who is online

Users browsing this forum: No registered users and 5 guests

cron